Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.VdiOperations

    java.lang.Object
      java.lang.Enum<Types.VdiOperations>
          com.xensource.xenapi.Types.VdiOperations

All Implemented Interfaces:
  Serializable, Comparable<Types.VdiOperations>

Enclosing class:
  Types

    public static enum Types.VdiOperations

extends Enum<Types.VdiOperations>

Enum Constant Summary
`BLOCKED` Operations on this VDI are temporarily blocked
`CLONE` Cloning the VDI
`COPY` Copying the VDI
`DESTROY` Destroying the VDI
`FORCE_UNLOCK` Forcibly unlocking the VDI
`FORGET` Forget about the VDI
`GENERATE_CONFIG` Generating static configuration
`RESIZE` Resizing the VDI
`RESIZE_ONLINE` Resizing the VDI which may or may not be online
`SCAN` Scanning backends for new or deleted VDIs
`SNAPSHOT` Snapshotting the VDI
`UNRECOGNIZED` The value does not belong to this enumeration
`UPDATE` Refreshing the fields of the VDI

Method Summary
`String` | `toString()`
`static Types.VdiOperations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.VdiOperations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.VdiOperations UNRECOGNIZED

  The value does not belong to this enumeration

### SCAN

    public static final Types.VdiOperations SCAN

  Scanning backends for new or deleted VDIs

### CLONE

    public static final Types.VdiOperations CLONE

  Cloning the VDI

### COPY

    public static final Types.VdiOperations COPY

  Copying the VDI

### RESIZE

    public static final Types.VdiOperations RESIZE

  Resizing the VDI

### RESIZE_ONLINE

    public static final Types.VdiOperations RESIZE_ONLINE

  Resizing the VDI which may or may not be online

### SNAPSHOT

    public static final Types.VdiOperations SNAPSHOT

  Snapshotting the VDI

### DESTROY

    public static final Types.VdiOperations DESTROY

  Destroying the VDI

### FORGET

    public static final Types.VdiOperations FORGET

  Forget about the VDI

### UPDATE

    public static final Types.VdiOperations UPDATE

  Refreshing the fields of the VDI

### FORCE_UNLOCK

    public static final Types.VdiOperations FORCE_UNLOCK

  Forcibly unlocking the VDI

### GENERATE_CONFIG

    public static final Types.VdiOperations GENERATE_CONFIG

  Generating static configuration

### BLOCKED

    public static final Types.VdiOperations BLOCKED

  Operations on this VDI are temporarily blocked

Method Detail

### values

    public static Types.VdiOperations[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.VdiOperations c : Types.VdiOperations.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.VdiOperations valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.VdiOperations>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD